Announcement

Collapse
No announcement yet.

Python Plugin Error/Crash with Quixel MegaScans Bridge

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Python Plugin Error/Crash with Quixel MegaScans Bridge

    First of all I hope this is in the right place, if not, please feel free to move it to where it needs to be.

    Recently I launched a project (both directly and through the Launcher) and was hit with this error message and then the Engine would quit. I did get a few times get a requester to rebuild...? but that failed as well.

    Error in loading the Plugin "UnrealEnginePython" because the module "UnderalEnginePython"could not be found.

    Trying to hunt this down. The only thing I did different was Installing Quixel's MegaScans Bridge. And I noticed that they had folders in this " UnrealEnginePlugin " folder.

    Got a few Modo Errors too (weird)

    Anyway, I tried to no avail to make this go away by Installing the latest 3.7 64 bit Python. Also looked at a few (hardly any out there) solutions online. But they did not work either.
    Now, oddly enough, just deleting the entire plugin folder allowed me to open up projects and the Engine just fine.

    Also when clicking on the "installed Plugins" this did not show up. Actually the list is quite small and not really reflecting the actual plugins installed.. I guess it's just, external 3rd party one that show up ??

    James

    No Idea what's going on.
    Last edited by Stephen Ellis; 11-16-2018, 04:03 PM.
    Life's a banquet and most poor suckers are starving to death.

    #2
    Hi James.

    If this is indeed caused by the MegaScans Bridge plugin, then you will likely need to contact Quixel support, as Epic is not responsible for that plugin, and neither do we host it on our Marketplace.

    Cheers
    Stephen Ellis | Senior Engine Coordinator

    Comment


      #3
      Originally posted by Stephen Ellis View Post
      Hi James.

      If this is indeed caused by the MegaScans Bridge plugin, then you will likely need to contact Quixel support, as Epic is not responsible for that plugin, and neither do we host it on our Marketplace.

      Cheers
      Thx, and Whew! While it would be nice to have this integrate with Quixel, it's good to know it is not affecting anything else.

      Thanks!!!
      Life's a banquet and most poor suckers are starving to death.

      Comment


        #4
        Please note that I am not saying for certain that the Bridge plugin is the cause. However I am not generally aware of this issue, and your investigative evidence leads to a reasonable assumption.

        Also, if what you wrote above is a copy/paste, then I think I see the issue. ("UnderalEnginePython"could not be found.) That seems like quite the typo with "Underal"
        Stephen Ellis | Senior Engine Coordinator

        Comment


          #5
          Originally posted by [B
          "UnderalEnginePython"could not be found.) That seems like quite the typo with "Underal"
          no that's my typo LOL
          Life's a banquet and most poor suckers are starving to death.

          Comment


            #6
            Just bumping this. Did you ever figure out what's going on? It's happening to me too... I've had bridge working then all of a sudden it's corrupting unreal somehow and I have to install.

            Comment


              #7
              I'm experience this issue with 4.21 only. Will update if quixel tells me the fix. 4.20 had no issue with this.

              Comment


                #8
                Please not this issue only arises when the plugin for megascan is installed through the bridge.

                Comment


                  #9
                  I contacted Quixel support regarding this issue and it is indeed a problem with their plugin. I was working fine with 4.20 and then updated to 4.21 as well as the Bridge version to the latest and started having this issue. Installed on 4.20 and the problem was the same. So if you didn't, avoid updating Bridge for now.
                  They told me that they are trying to fix it asap and ship the new version through Bridge. Today there was an update but the problem still persists. Couldn't find a solution. Will try installing manually as pbdarcey mentions.
                  Gastón Suárez-Pastor
                  Serendipity CoFounder
                  www.serendipitycg.com

                  Comment


                    #10
                    Looks like there was an update and i was kinda stoked but the problem still exists. The 4.21 option was pulled form there latest updated. Well one of these days it will work...

                    Totinguis your serendipity renders are amazing......

                    Comment


                      #11
                      This is all fixed now...

                      Comment


                        #12
                        its not i still got it

                        Comment


                          #13
                          Same here Problem still persists.

                          Comment


                            #14
                            Definitely not fixed as it is causing this issue with mine now

                            Comment


                              #15
                              No problems on 4.21, however I have it when I did a manual deploy from the git 4.22 lifeline deploy, now I cant get any 4.22 project to start.

                              Comment

                              Working...
                              X